# Get to Know the Editor

There are a few different ways to create Objects in Anytype.&#x20;

When starting out, you can use the `+` button located on the top right of your homescreen to create your first Object.

<figure><img src="../../.gitbook/assets/Object Create.png" alt=""><figcaption></figcaption></figure>

Each Object has a flexible canvas made of simple blocks. A block is a piece of content that you can freely reposition within the canvas to give your Objects style and structure.

<figure><img src="../../.gitbook/assets/Screenshot 2022-09-28 at 21.11.25 (1).png" alt=""><figcaption></figcaption></figure>

### Block Styles

You can add a new block to your canvas by typing the `/` key or by pressing the orange `+` button which appears next to your cursor.\
\
Currently, Anytype supports the following block types:

* Text: text, title, heading, subheading, highlighted, callout
* Lists: checkbox, bulleted list, numbered, toggle
* Media: file, picture, video, bookmark
* Simple tables
* LaTeX
* Code snippets
* Relations
* Links to other Objects
* Dividers: line and dotted

### **Layouts**

Layouts can help you customize how your Object is formatted.

**Anytype currently supports four kinds of layout:**

1. **Note:** No visible title, icon, or cover. Implemented as default layout for new users.
2. **Basic:** Visible title, squircle icon, and cover. Perfect for pages, documents, and articles.
3. **Profile:** Visible title, circle icon, and cover. Designed for contacts, people, and organizations.
4. **Action:** Visible title, checkbox icon, and cover. Perfect for tasks and plans.

You can adjust the layout of any Object by hovering above the title, where you will see a Layout menu.

<figure><img src="../../.gitbook/assets/Layout menu.png" alt=""><figcaption></figcaption></figure>

### Objects within Objects

#### Mentioning Objects

You can reference any other Object in your Anytype by using the mention or `@` command. Mentioned Objects are displayed in-line (rather than as separate blocks). This feature provides a quick and easy way to reference other Objects within Anytype, within a larger block of text.

#### Linking Objects

You can link one Object to another using the Block menu or the / shortcut. This will create a new linked Object, which you can style using the Appearance menu.



