# Sort, Filter, & Edit Objects with Sets

### Understanding Sets

Lots of people compare Sets with databases, but there's a key difference: Sets don't _store_ objects like regular databases. Rather, they provide a way to see a portion of your knowledge graph based on certain filter criteria, and several secondary filters which you can customize.

#### Sets serve two primary functions:

1. **Organizing and Accessing Objects**\
   ****\
   ****We often get requests along the lines of: _How do I find all of the Notes I've created?_One easy way is to create a Set based on Type: Note, which will display every Note you've created in Anytype. If you have specific notes you'd like to frequently access, you can filter them based on Relations you've added to these notes, for instance: Creation Date, Tags, or Priority. (In this sense, Relations behave like attributes).You can then pin your Set to your Favorites menu, where it will sit on your Anytype homescreen, acting like a folder for all Objects that meet certain criteria.
2. **Batch editing Objects**\
   ****Sets also provide a way to batch-edit Objects. You can use multi-select in Sets to delete multiple Objects at once. You can also batch-add or edit Relations for Objects from Set view, instead of entering them one-by-one.

{% embed url="https://vimeo.com/717016770" %}

### Creating Sets

You can create a Set with the + menu in the Home or bottom-left corner or using the / shortcut menu in the editor.

Next, you need to decide on the purpose of your Set. For example, project management may require Type: Project, for reading list — Book. From the Library, choose an Object Type, click "Create," and choose "Create a set."

<figure><img src="../.gitbook/assets/Create a set 2.png" alt=""><figcaption><p>Creating a Set from Types view</p></figcaption></figure>

### Adding Relations to Objects via Sets

Instead of adding Relations one-by-one to Objects, you can batch-add them to your Set by clicking the + button inside the Set's Header.&#x20;

### Adding Sort and Filters

Add Sorts and Filters by clicking the filter icon the top-right side of the Set.

<figure><img src="../.gitbook/assets/Customize set 1.png" alt=""><figcaption></figcaption></figure>

### Customizing Set View

Customize whether you want your Sets to appear in Grid, List, or Gallery view, as well as specific filters. Tap the + button next to 'All' to customize how you want to visualize your Objects.

<figure><img src="../.gitbook/assets/Customize set 2.png" alt=""><figcaption></figcaption></figure>
